import request from '@/utils/request'

// 查询预警设备设置列表
export function listSpeedingAlertSettings(query) {
  return request({
    url: '/system/SpeedingAlertSettings/list',
    method: 'get',
    params: query
  })
}

// 查询预警设备设置详细
export function getSpeedingAlertSettings(id) {
  return request({
    url: '/system/SpeedingAlertSettings/' + id,
    method: 'get'
  })
}

// 新增预警设备设置
export function addSpeedingAlertSettings(data) {
  return request({
    url: '/system/SpeedingAlertSettings',
    method: 'post',
    data: data
  })
}

// 修改预警设备设置
export function updateSpeedingAlertSettings(data) {
  return request({
    url: '/system/SpeedingAlertSettings',
    method: 'put',
    data: data
  })
}

// 删除预警设备设置
export function delSpeedingAlertSettings(id) {
  return request({
    url: '/system/SpeedingAlertSettings/' + id,
    method: 'delete'
  })
}
